#ifndef SALE_H
#define SALE_H

#include "article.h"

#include <vector>

#include <boost/date_time.hpp>

class Article;

class Sale : public Entity
{
  public:
    int sumInCents();
  private:
    boost::posix_time::ptime systemTime_{boost::posix_time::second_clock::local_time()};
    std::vector<Article*> articles_{};
};

#endif